> ## Documentation Index
> Fetch the complete documentation index at: https://docs.capitalcheckin.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get collaborator by ID

> Retrieve a specific collaborator by ID



## OpenAPI

````yaml get /v1/collaborators/{id}
openapi: 3.1.0
info:
  title: Capital Check In API
  description: >-
    API for the Capital Check In platform - Employee check-in management system
    with identity verification, geolocation, and schedule management
  license:
    name: MIT
  version: 1.0.0
  contact:
    name: Capital Check In Support
    email: hi@capitalcheckin.app
    url: https://capitalcheckin.app
servers:
  - url: https://api.capitalcheckin.app
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/collaborators/{id}:
    get:
      tags:
        - Collaborators
      summary: Get collaborator by ID
      description: Retrieve a specific collaborator by ID
      parameters:
        - name: id
          in: path
          required: true
          description: Collaborator ID
          schema:
            type: string
      responses:
        '200':
          description: Collaborator details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Collaborator'
        '404':
          description: Collaborator not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    Collaborator:
      type: object
      properties:
        id:
          type: string
          description: Unique collaborator identifier
        name:
          type: string
          description: Full name of the collaborator
        email:
          type: string
          format: email
          description: Email address
        phone:
          type: string
          description: Phone number
        position:
          type: string
          description: Job position or title
        department:
          type: string
          description: Department or team
        status:
          type: string
          enum:
            - active
            - inactive
            - pending
          description: Collaborator status
        role:
          type: string
          enum:
            - admin
            - manager
            - employee
          description: Collaborator role
        hire_date:
          type: string
          format: date
          description: Date when collaborator was hired
        salary:
          type: number
          description: Annual salary
        manager_id:
          type: string
          description: ID of the manager
        work_schedule:
          type: string
          description: Work schedule (full-time, part-time, etc.)
        location:
          type: string
          description: Work location
        avatar_url:
          type: string
          format: uri
          description: Profile picture URL
        emergency_contact:
          type: object
          properties:
            name:
              type: string
              description: Emergency contact name
            phone:
              type: string
              description: Emergency contact phone
            relationship:
              type: string
              description: Relationship to collaborator
        created_at:
          type: string
          format: date-time
          description: Creation timestamp
        updated_at:
          type: string
          format: date-time
          description: Last update timestamp
    Error:
      type: object
      required:
        - error
        - message
      properties:
        error:
          type: string
          description: Error code
        message:
          type: string
          description: Descriptive error message
        details:
          type: object
          description: Additional error details
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: OAuth2
      description: OAuth2 access token for authentication

````